Bug 66178 - Add an option to automatically show tooltips (with the full text) over truncated text
Summary: Add an option to automatically show tooltips (with the full text) over trunca...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Enhancement
Assignee: mitz
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-08-12 16:53 PDT by mitz
Modified: 2013-04-09 13:24 PDT (History)
4 users (show)

See Also:


Attachments
Patch (22.28 KB, patch)
2011-08-12 17:18 PDT, mitz
simon.fraser: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2011-08-12 16:53:47 PDT
<rdar://problem/7337717>
Comment 1 mitz 2011-08-12 17:18:12 PDT
Created attachment 103846 [details]
Patch
Comment 2 mitz 2011-08-12 19:42:58 PDT
I suspect that the Windows builds failure is due to WebKit.idl not being touched by the patch.
Comment 3 Simon Fraser (smfr) 2011-08-12 22:34:38 PDT
Comment on attachment 103846 [details]
Patch

r=me

I do wonder if there should be a way for web authors to opt in to this behavior in the browser.
Comment 4 mitz 2011-08-12 23:26:27 PDT
Committed r93014.
http://trac.webkit.org/r93014
Comment 5 mitz 2011-08-13 00:01:27 PDT
Windows build fix in r93015.
<http://trac.webkit.org/r93015>
Comment 6 mitz 2011-08-13 13:39:34 PDT
Defaults key renamed in r93027.
<http://trac.webkit.org/r93027>
Comment 7 Daniel Trebbien 2013-04-09 13:24:49 PDT
As Simon alluded to, there should be a way to opt in to this behavior:  Bug 114304